


# AuthenticationStatus enum




    *[<Null safety>](https://dart.dev/null-safety)*



<p>Different authentication status</p>



**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [Enum](https://api.flutter.dev/flutter/dart-core/Enum-class.html)
- AuthenticationStatus






## Constructors

[AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus/AuthenticationStatus.md) ()

  _const_ 


## Values

##### [unknown](../wyatt_authentication_bloc/AuthenticationStatus.md) const [AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus.md)



<p>At the application launch.</p>  




##### [authenticated](../wyatt_authentication_bloc/AuthenticationStatus.md) const [AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus.md)



<p>When the user is logged</p>  




##### [unauthenticated](../wyatt_authentication_bloc/AuthenticationStatus.md) const [AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus.md)



<p>When the user is not logged</p>  





## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [index](https://api.flutter.dev/flutter/dart-core/Enum/index.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



A numeric identifier for the enumerated value.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_










## Constants

##### [values](../wyatt_authentication_bloc/AuthenticationStatus/values-constant.md) const [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus.md)>



A constant List of the values in this enum, in order of their declaration.  









